打印

lnmp1.4 一键安装lamp,只有mysql安装成功

lnmp1.4 一键安装lamp,只有mysql安装成功

如题。求助。感谢
阿里云 CentOS 6.8. 64位。

lnmp 1.4 一键安装 lamp。


部分安装日志:


/bin/sh /root/lnmp1.4/src/httpd-2.4.27/srclib/apr/libtool --silent --mode=compile gcc -g -O2 -pthread   -DHAVE_CONFIG_H  -DLINUX -D_REENTRANT -D_GNU_SOURCE   -I/root/lnmp1.4/src/httpd-2.4.27/srclib/apr-util/include -I/root/lnmp1.4/src/httpd-2.4.27/srclib/apr-util/include/private  -I/root/lnmp1.4/src/httpd-2.4.27/srclib/apr/include    -o xml/apr_xml.lo -c xml/apr_xml.c && touch xml/apr_xml.lo
xml/apr_xml.c:35:19: error: expat.h: No such file or directory
xml/apr_xml.c:66: error: expected specifier-qualifier-list before ‘XML_Parser’
xml/apr_xml.c: In function ‘cleanup_parser’:
xml/apr_xml.c:364: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:365: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c: At top level:
xml/apr_xml.c:384: error: expected ‘;’, ‘,’ or ‘)’ before ‘*’ token
xml/apr_xml.c: In function ‘apr_xml_parser_create’:
xml/apr_xml.c:401: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:402: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:410: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:411: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:412: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:424: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:424: error: ‘default_handler’ undeclared (first use in this function)
xml/apr_xml.c:424: error: (Each undeclared identifier is reported only once
xml/apr_xml.c:424: error: for each function it appears in.)
xml/apr_xml.c: In function ‘do_parse’:
xml/apr_xml.c:434: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:438: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c:442: error: ‘apr_xml_parser’ has no member named ‘xp_err’
xml/apr_xml.c:442: error: ‘apr_xml_parser’ has no member named ‘xp’
xml/apr_xml.c: In function ‘apr_xml_parser_geterror’:
xml/apr_xml.c:500: error: ‘apr_xml_parser’ has no member named ‘xp_err’
xml/apr_xml.c:500: error: ‘apr_xml_parser’ has no member named ‘xp_err’
make[3]: *** [xml/apr_xml.lo] Error 1
make[3]: Leaving directory `/root/lnmp1.4/src/httpd-2.4.27/srclib/apr-util'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/lnmp1.4/src/httpd-2.4.27/srclib/apr-util'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/lnmp1.4/src/httpd-2.4.27/srclib'
make: *** [all-recursive] Error 1
mv: cannot stat `/usr/local/apache/conf/httpd.conf': No such file or directory
cp: cannot create regular file `/usr/local/apache/conf/httpd.conf': No such file or directory
cp: cannot create regular file `/usr/local/apache/conf/extra/httpd-vhosts.conf': No such file or directory
cp: cannot create regular file `/usr/local/apache/conf/extra/httpd-ssl.conf': No such file or directory
cp: cannot create regular file `/usr/local/apache/conf/enable-apache-ssl-vhost-example.conf': No such file or directory
cp: cannot create regular file `/usr/local/apache/conf/extra/httpd-default.conf': No such file or directory
cp: cannot create regular file `/usr/local/apache/conf/extra/mod_remoteip.conf': No such file or directory
mkdir: cannot create directory `/usr/local/apache/conf/vhost': No such file or directory
sed: can't read /usr/local/apache/conf/extra/httpd-vhosts.conf: No such file or directory
[+] Installing php-5.6.31
Uncompress php-5.6.31.tar.bz2...
cd php-5.6.31...
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for a sed that does not truncate output... /bin/sed
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for cc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking how to run the C preprocessor... cc -E
checking for icc... no
checking for suncc... no
checking whether cc understands -c and -o together... yes
checking how to run the C preprocessor... cc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether ln -s works... yes
checking for system library directory... lib
checking whether to enable runpaths... no
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... yes
checking for gawk... gawk
checking for bison... bison -y
checking for bison version... 2.4 (ok)
checking for re2c... no
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
checking whether to enable computed goto gcc extension with re2c... no
checking whether to force non-PIC code in shared modules... no
checking whether /dev/urandom exists... yes
checking for pthreads_cflags... -pthread
checking for pthreads_lib...

Configuring SAPI modules
checking for AOLserver support... no
checking for Apache 1.x module support via DSO through APXS... no
checking for Apache 1.x module support... no
checking whether to enable Apache charset compatibility option... no
checking for Apache 2.0 filter-module support via DSO through APXS... no
checking for Apache 2.0 handler-module support via DSO through APXS...

Sorry, I cannot run apxs.  Possible reasons follow:

1. Perl is not installed
2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
3. Apache was not built using --enable-so (the apxs usage page is displayed)

The output of /usr/local/apache/bin/apxs follows:
./configure: line 8417: /usr/local/apache/bin/apxs: No such file or directory
configure: error: Aborting
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
Copy new php configure file...
Modify php.ini......
include/php.sh: line 23: pear: command not found
include/php.sh: line 24: pecl: command not found
include/php.sh: line 29: php: command not found
curl: (23) Failed writing body (0 != 16133)
Install ZendGuardLoader for PHP 5.6...
Notice:  not found!!!download now...
--2017-08-01 20:07:22--  https://soft.vpser.net/web/zend/zend-loader-php5.6-linux-x86_64.tar.gz
Resolving soft.vpser.net... 117.34.112.38, 2604:a880:1:20::5f9:4001
Connecting to soft.vpser.net|117.34.112.38|:443... connected.
HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable

    The file is already fully retrieved; nothing to do.

Write ZendGuardLoader to php.ini...
Create PHP Info Tool...
Copy PHP Prober...
Copy Opcache Control Panel...
============================Install PHPMyAdmin=================================
============================phpMyAdmin install completed=======================
iptables: Saving firewall rules to /etc/sysconfig/iptables: [  OK  ]
Add Startup and Starting LAMP...
Add httpd service at system startup...
start apache... /etc/init.d/httpd: line 87: /usr/local/apache/bin/httpd: No such file or directory
failed
Add mysql service at system startup...
Starting MySQL... ERROR! The server quit without updating PID file (/usr/local/mysql/var/iZwz9ggf4wuu7nwvb6a4kyZ.pid).
Error: Apache install failed.
MySQL: OK
Error: PHP install failed.
Sorry, Failed to install LNMP!
Please visit https://bbs.vpser.net/forum-25-1.html feedback errors and logs.
You can download /root/lnmp-install.log from your server,and upload lnmp-install.log to LNMP Forum.
附件: 您所在的用户组无法下载或查看附件

TOP

可以尝试yum install expat-devel 后再安装试试

TOP